/**获取所有接口的配置 URL*/
export function loadUrlConfig() {
    var server = window.location.protocol + '//' + window.location.host;
    var url = null;
    if (server.indexOf('http://localhost') !== -1) {
        server = 'https://cws-fz04.connectedpdf.com';
        url = 'https://cws-fz04.connectedpdf.com/cpdfapi/v1/server/server-config';
    }
    else {
        url = server + '/api/server-config';
    }
    return new Promise(function (resolve, reject) {
        $.ajax({
            type: 'get',
            url: url,
            success: function (resp, textStatus) {
                if (textStatus === 'success') {
                    if (resp.data) {
                        return resolve(resp.data);
                    }
                }
            },
            error: function (xhr, textStatus, errorThrown) {
                return reject(textStatus);
            }
        });
    });
}
//# sourceMappingURL=loadUrlConfig.js.map