import { show_float_icon, mouse_in_page, set_mouse_pos, add_sign_field, set_selected_field_type, set_selected_recipient, set_recipients, set_sign_data, save_token, delete_token, save_user, delete_user, save_docInfo, update_signer, set_signers, order_signers, save_ticket, set_sign_info } from "./const";
export function saveToken(accessToken) {
    return { type: save_token, accessToken: accessToken };
}
export function setSignInfo(signInfo) {
    return { type: set_sign_info, signInfo: signInfo };
}
export function saveTicket(ticket) {
    return { type: save_ticket, ticket: ticket };
}
export function deleteToken() {
    return { type: delete_token };
}
export function saveUser(userInfo) {
    return { type: save_user, userInfo: userInfo };
}
export function saveDocInfo(docInfo) {
    return { type: save_docInfo, docInfo: docInfo };
}
export function deleteUser() {
    return { type: delete_user };
}
export function updateSigner(signer, props) {
    return { type: update_signer, signer: signer, props: props };
}
export function setSigners(signers) {
    return { type: set_signers, signers: signers };
}
export function orderSigners(order) {
    return { type: order_signers, order: order };
}
export function showFloatIcon(show) {
    return { type: show_float_icon, show: show };
}
export function setMouseInPage(inPage) {
    return { type: mouse_in_page, inPage: inPage };
}
export function setMousePos(mousePos) {
    return { type: set_mouse_pos, mousePos: mousePos };
}
export function setSelectedRecipient(selectedRecipient) {
    return { type: set_selected_recipient, selectedRecipient: selectedRecipient };
}
export function setSelectedFieldType(selectedFieldType) {
    return { type: set_selected_field_type, selectedFieldType: selectedFieldType };
}
export function addSignField(signField) {
    return { type: add_sign_field, signField: signField };
}
export function setSignData(signType, signData) {
    return { type: set_sign_data, signType: signType, signData: signData };
}
export function setRecipients(recipients) {
    return { type: set_recipients, recipients: recipients };
}
//# sourceMappingURL=index.js.map