var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __assign = (this && this.__assign) || Object.assign || function(t) {
    for (var s, i = 1, n = arguments.length; i < n; i++) {
        s = arguments[i];
        for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
            t[p] = s[p];
    }
    return t;
};
import { Component, h } from 'preact';
import * as classNames from 'classnames';
var DropdownMenu = /** @class */ (function (_super) {
    __extends(DropdownMenu, _super);
    function DropdownMenu(props) {
        var _this = _super.call(this, props) || this;
        _this.onWindowClick = _this.onWindowClick.bind(_this);
        return _this;
    }
    DropdownMenu.prototype.componentDidMount = function () {
        var _self = this;
        setTimeout(function () {
            window.addEventListener('click', _self.onWindowClick);
        }, 10);
    };
    DropdownMenu.prototype.componentWillUnmount = function () {
        return window.removeEventListener('click', this.onWindowClick);
    };
    DropdownMenu.prototype.onWindowClick = function () {
        this.props.onClose();
    };
    DropdownMenu.prototype.render = function (props) {
        return (h("div", { class: classNames("dropdown_menu", props.class), onClick: function (event) { return event.stopPropagation(); } },
            h("div", { class: "dropdown_menu_wrap", style: props.style }, this.props.children)));
    };
    return DropdownMenu;
}(Component));
var DropdownMenuWrapper = /** @class */ (function (_super) {
    __extends(DropdownMenuWrapper, _super);
    function DropdownMenuWrapper() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    DropdownMenuWrapper.prototype.render = function (props) {
        return (this.props.show && h(DropdownMenu, __assign({}, props, { onClose: this.props.onClose }), this.props.children));
    };
    DropdownMenuWrapper.defaultProps = {
        show: true
    };
    return DropdownMenuWrapper;
}(Component));
export default DropdownMenuWrapper;
//# sourceMappingURL=DropdownMenu.js.map