var __assign = (this && this.__assign) || Object.assign || function(t) {
    for (var s, i = 1, n = arguments.length; i < n; i++) {
        s = arguments[i];
        for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
            t[p] = s[p];
    }
    return t;
};
import { h } from "preact";
import UserAgent from "../../vendor/UserAgent_DEPRECATED";
var styles = {
    base: {
        position: 'absolute',
        userSelect: 'none',
        MsUserSelect: 'none',
        borderRadius: "50%",
        border: "2px solid",
        borderColor: "rgb(44,110,225)",
        background: "#FFF"
    },
    top: {
        width: '100%',
        height: '10px',
        top: '-5px',
        left: '0px',
        cursor: 'row-resize',
    },
    right: {
        width: '10px',
        height: '100%',
        top: '0px',
        right: '-5px',
        cursor: 'col-resize',
    },
    bottom: {
        width: '100%',
        height: '10px',
        bottom: '-5px',
        left: '0px',
        cursor: 'row-resize',
    },
    left: {
        width: '10px',
        height: '100%',
        top: '0px',
        left: '-5px',
        cursor: 'col-resize',
    },
    topRight: {
        width: UserAgent.mobile() ? '16px' : "8px",
        height: UserAgent.mobile() ? '16px' : "8px",
        position: 'absolute',
        right: UserAgent.mobile() ? '-7px' : "-3px",
        top: UserAgent.mobile() ? '-7px' : "-3px",
        cursor: 'ne-resize',
    },
    bottomRight: {
        width: UserAgent.mobile() ? '16px' : "8px",
        height: UserAgent.mobile() ? '16px' : "8px",
        position: 'absolute',
        right: UserAgent.mobile() ? '-7px' : "-3px",
        bottom: UserAgent.mobile() ? '-7px' : "-3px",
        cursor: 'se-resize',
    },
    bottomLeft: {
        width: UserAgent.mobile() ? '16px' : "8px",
        height: UserAgent.mobile() ? '16px' : "8px",
        position: 'absolute',
        left: UserAgent.mobile() ? '-7px' : "-3px",
        bottom: UserAgent.mobile() ? '-7px' : "-3px",
        cursor: 'sw-resize',
    },
    topLeft: {
        width: UserAgent.mobile() ? '16px' : "8px",
        height: UserAgent.mobile() ? '16px' : "8px",
        position: 'absolute',
        left: UserAgent.mobile() ? '-7px' : "-3px",
        top: UserAgent.mobile() ? '-7px' : "-3px",
        cursor: 'nw-resize',
    },
};
export default function resizer(props) {
    return (h("div", { class: props.class, style: __assign({}, styles.base, styles[props.direction], (props.replaceStyles || {})), onMouseDown: function (e) {
            props.onResizeStart(e, props.direction);
        }, onTouchStart: function (e) {
            props.onResizeStart(e, props.direction);
            e.stopPropagation();
        } }, props.children));
}
//# sourceMappingURL=resizer.js.map