var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
import { h, Component } from "preact";
import * as classnames from "classnames";
import i18next from "i18next";
import SignFieldType from "./SignFieldType";
import UserAgent from "../../vendor/UserAgent_DEPRECATED";
import { SignType } from "../../sign/models";
var AddFieldsPanel = /** @class */ (function (_super) {
    __extends(AddFieldsPanel, _super);
    function AddFieldsPanel(props) {
        return _super.call(this, props) || this;
    }
    AddFieldsPanel.prototype.componentDidMount = function () {
    };
    AddFieldsPanel.prototype.render = function (props, state) {
        var _a = this.props, images = _a.images, selectedRecipient = _a.selectedRecipient, selectedFieldType = _a.selectedFieldType, recipients = _a.recipients;
        return (h("div", { class: classnames("content_sidebar", { "content_sidebar-left": !UserAgent.mobile(), "content_sidebar-bottom": UserAgent.mobile() }), id: "add_sign_fields" },
            h("span", { class: "sidebar-header title" }, i18next.t("Add Sign Fields") + ":"),
            Object.keys(SignType).map(function (signType) {
                return h(SignFieldType, { images: images, type: SignType[signType], selectedRecipient: selectedRecipient, selectedFieldType: selectedFieldType, recipients: recipients });
            })));
    };
    return AddFieldsPanel;
}(Component));
export default AddFieldsPanel;
//# sourceMappingURL=AddFieldsPanel.js.map