var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
import { h, Component } from "preact";
import i18next from "i18next";
import RecipientColorScheme from '../../utils/RecipientColorScheme';
import * as shallowEqual from "shallow-equals";
import bind from "../../vendor/bind";
var SignFieldType = /** @class */ (function (_super) {
    __extends(SignFieldType, _super);
    function SignFieldType() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    SignFieldType.prototype.componentDidMount = function () {
    };
    SignFieldType.prototype.componentWillUnmount = function () {
    };
    SignFieldType.prototype.shouldComponentUpdate = function (nextProps, nextState) {
        return !shallowEqual(this.state, nextState) || !shallowEqual(this.props, nextProps);
    };
    SignFieldType.prototype.onMouseDown = function (event) {
        this.context.onSelectFieldType(this.props.type, event);
    };
    SignFieldType.prototype.render = function () {
        var _a = this.props, type = _a.type, selectedRecipient = _a.selectedRecipient, recipients = _a.recipients, selectedFieldType = _a.selectedFieldType, images = _a.images;
        return (h("div", { class: "sign_field_type_wrap" },
            h("div", { class: "sign_field_type_background", style: type == selectedFieldType && RecipientColorScheme(recipients, selectedRecipient.signerId) }),
            h("div", { class: "sign_field_type", onMouseDown: this.onMouseDown, onTouchStart: this.onMouseDown },
                h("div", { class: "holder" },
                    h("img", { src: images["drag"] })),
                h("div", { class: "icon" },
                    h("img", { src: images[type] })),
                h("div", { class: "title" },
                    h("span", null, i18next.t(type))))));
    };
    __decorate([
        bind
    ], SignFieldType.prototype, "onMouseDown", null);
    return SignFieldType;
}(Component));
export default SignFieldType;
//# sourceMappingURL=SignFieldType.js.map