import { set_form_fields, set_widgets, SET_FORM_ITEM_VALUES, SET_ITEM_VALUE, UPDATE_WIDGET } from "./const";
export function setFormFields(fields) {
    return { type: set_form_fields, fields: fields };
}
export function setWidgets(widgets) {
    return { type: set_widgets, widgets: widgets };
}
export function setFormItemValues(formItemValues) {
    return {
        type: SET_FORM_ITEM_VALUES,
        formItemValues: formItemValues
    };
}
export function setItemValue(itemName, itemValue) {
    return {
        type: SET_ITEM_VALUE,
        itemName: itemName,
        itemValue: itemValue
    };
}
export function updateWidget(widget, props) {
    return {
        type: UPDATE_WIDGET,
        widget: widget,
        props: props
    };
}
//# sourceMappingURL=actions.js.map