var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __assign = (this && this.__assign) || Object.assign || function(t) {
    for (var s, i = 1, n = arguments.length; i < n; i++) {
        s = arguments[i];
        for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
            t[p] = s[p];
    }
    return t;
};
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : new P(function (resolve) { resolve(result.value); }).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __generator = (this && this.__generator) || function (thisArg, body) {
    var _ = { label: 0, sent: function() { if (t[0] & 1) throw t[1]; return t[1]; }, trys: [], ops: [] }, f, y, t, g;
    return g = { next: verb(0), "throw": verb(1), "return": verb(2) }, typeof Symbol === "function" && (g[Symbol.iterator] = function() { return this; }), g;
    function verb(n) { return function (v) { return step([n, v]); }; }
    function step(op) {
        if (f) throw new TypeError("Generator is already executing.");
        while (_) try {
            if (f = 1, y && (t = y[op[0] & 2 ? "return" : op[0] ? "throw" : "next"]) && !(t = t.call(y, op[1])).done) return t;
            if (y = 0, t) op = [0, t.value];
            switch (op[0]) {
                case 0: case 1: t = op; break;
                case 4: _.label++; return { value: op[1], done: false };
                case 5: _.label++; y = op[1]; op = [0]; continue;
                case 7: op = _.ops.pop(); _.trys.pop(); continue;
                default:
                    if (!(t = _.trys, t = t.length > 0 && t[t.length - 1]) && (op[0] === 6 || op[0] === 2)) { _ = 0; continue; }
                    if (op[0] === 3 && (!t || (op[1] > t[0] && op[1] < t[3]))) { _.label = op[1]; break; }
                    if (op[0] === 6 && _.label < t[1]) { _.label = t[1]; t = op; break; }
                    if (t && _.label < t[2]) { _.label = t[2]; _.ops.push(op); break; }
                    if (t[2]) _.ops.pop();
                    _.trys.pop(); continue;
            }
            op = body.call(thisArg, _);
        } catch (e) { op = [6, e]; y = 0; } finally { f = t = 0; }
        if (op[0] & 5) throw op[1]; return { value: op[0] ? op[1] : void 0, done: true };
    }
};
import { h, Component } from "preact";
import { connect } from "preact-redux";
import AsyncRetryExecutor from "../vendor/AsyncRetryExecutor";
import bind from "../vendor/bind";
import { getSignInfo, getDocManifestInfo, saveFormValues, queryWebPDFTask } from "../API";
import * as selector from "../selector";
import * as actions from "../actions";
require('../style/index.less');
require('../style/modal.less');
require('../style/btn.less');
var WebContent = /** @class */ (function (_super) {
    __extends(WebContent, _super);
    function WebContent() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    WebContent.prototype.shouldComponentUpdate = function () {
        return false;
    };
    WebContent.prototype.render = function () {
        return h("div", { class: "content_main", id: "webpdf_content", style: "position: relative;" });
    };
    return WebContent;
}(Component));
var FillForm = /** @class */ (function (_super) {
    __extends(FillForm, _super);
    function FillForm(props) {
        return _super.call(this, props) || this;
    }
    FillForm.prototype.componentDidMount = function () {
        return __awaiter(this, void 0, void 0, function () {
            var _a, docSignId, accessToken, signInfo, executor, manifestInfo, WebPdf, webpdf, FormPlugin;
            return __generator(this, function (_b) {
                switch (_b.label) {
                    case 0:
                        this._mounting = true;
                        _a = this.props, docSignId = _a.docSignId, accessToken = _a.accessToken;
                        return [4 /*yield*/, getSignInfo(docSignId)];
                    case 1:
                        signInfo = _b.sent();
                        this.props.setSignInfo(signInfo);
                        executor = new AsyncRetryExecutor({ maxRetry: 10, delay: 1000 });
                        return [4 /*yield*/, executor.getWithRetry(function () {
                                return getDocManifestInfo(signInfo.webPdfDocID);
                            })];
                    case 2:
                        manifestInfo = _b.sent();
                        return [4 /*yield*/, import("../webpdf")];
                    case 3:
                        WebPdf = _b.sent();
                        webpdf = new WebPdf.default();
                        return [4 /*yield*/, import("./FormPlugin")];
                    case 4:
                        FormPlugin = _b.sent();
                        this.formPlugin = new FormPlugin.default(this.context.store, {});
                        webpdf.use(this.formPlugin);
                        if (this._mounting) {
                            webpdf.render(this._refWebpdf.base, {
                                manifestInfo: manifestInfo,
                                userInfo: { token: accessToken },
                                docId: signInfo.webPdfDocID,
                                serverUrl: window.phantomOnlineGlobalConfig.webpdfApiUrl,
                                imageWithForm: false
                            });
                        }
                        return [2 /*return*/];
                }
            });
        });
    };
    FillForm.prototype.componentWillUnmount = function () {
        this._mounting = false;
    };
    FillForm.prototype.onSend = function () {
        return __awaiter(this, void 0, void 0, function () {
            var signInfo, formValues, taskid_1, executor, manifestInfo;
            return __generator(this, function (_a) {
                switch (_a.label) {
                    case 0:
                        signInfo = this.props.signInfo;
                        formValues = this.formPlugin.getFormValues();
                        if (!(formValues.length > 0)) return [3 /*break*/, 3];
                        return [4 /*yield*/, saveFormValues(signInfo.webPdfDocID, formValues)];
                    case 1:
                        taskid_1 = (_a.sent()).taskid;
                        executor = new AsyncRetryExecutor({ maxRetry: 10, delay: 1000 });
                        return [4 /*yield*/, executor.getWithRetry(function () {
                                return queryWebPDFTask(taskid_1);
                            })];
                    case 2:
                        manifestInfo = _a.sent();
                        console.log(manifestInfo);
                        _a.label = 3;
                    case 3: return [2 /*return*/];
                }
            });
        });
    };
    FillForm.prototype.render = function () {
        var _this = this;
        var _a = this.props;
        return (h("div", null,
            h("div", { class: "site site-editor site-fit" },
                h("div", { class: "site_wrap" },
                    h("div", { class: "site_header", style: { borderBottom: "1px solid #e6e6e6" } },
                        h("div", { style: { flex: "1 1 0%" } }),
                        h("div", { class: "site_title" },
                            h("button", { onClick: this.onSend }, "Send")),
                        h("div", { style: { flex: "1 1 0%" } })),
                    h("div", { class: "site_content" },
                        h("div", { class: "content_wrap" },
                            h(WebContent, { ref: function (ref) { return _this._refWebpdf = ref; } })))))));
    };
    __decorate([
        bind
    ], FillForm.prototype, "onSend", null);
    return FillForm;
}(Component));
var mapStateToProps = function (state, ownProps) {
    return {
        accessToken: selector.getToken(state),
        docSignId: "5bc6ac18db5bdc026020191f",
        userInfo: selector.getUserInfo(state),
        signInfo: selector.getSignInfo(state),
    };
};
export default connect(mapStateToProps, actions)(function (props) { return h(FillForm, __assign({}, props)); });
//# sourceMappingURL=fill-form.js.map