import * as dtime from 'time-formater';
import UserAgent from "../vendor/UserAgent_DEPRECATED";
export default function (width, height) {
    var fontStyle = "normal normal bold ";
    var fontSize = 18;
    var fontName = "Helvetica Neue";
    var fontColor = "#000";
    var canvass = document.createElement('canvas');
    var content = dtime().format('YYYY-MM-DD');
    //var leftRightWidth = 5;
    var leftRightWidth = 4;
    canvass.width = width;
    canvass.height = height;
    document.body.appendChild(canvass);
    var contexts = canvass.getContext('2d');
    contexts.clearRect(0, 0, canvass.width, canvass.height);
    contexts.fillStyle = fontColor;
    contexts.font = fontStyle + fontSize + "px " + fontName;
    contexts.textBaseline = 'middle';
    canvass.style.display = 'none';
    if (UserAgent.firefox()) {
        contexts.fillText(content, leftRightWidth, canvass.height / 2 - fontSize / 2, canvass.width - leftRightWidth * 2);
    }
    else {
        var xoption = leftRightWidth;
        var yoption = height / 2;
        contexts.fillText(content, xoption, yoption, canvass.width - leftRightWidth * 2);
    }
    width = canvass.width;
    height = canvass.height;
    canvass.parentNode.removeChild(canvass);
    return { "dataurl": canvass.toDataURL("image/png"), width: width, height: height };
}
//# sourceMappingURL=createDateSignData.js.map