import * as query from "dom-helpers/query";
var Point = /** @class */ (function () {
    function Point(x, y) {
        if (typeof x.x !== "undefined" && typeof x.y !== "undefined") {
            this.x = x.x;
            this.y = x.y;
        }
        else if (typeof x !== "number") {
            throw "set point invalid" + JSON.stringify(x);
        }
        else {
            this.x = x;
            this.y = y;
        }
    }
    Point.prototype.ScreenToElement = function (element) {
        var _a = this, x = _a.x, y = _a.y;
        var offset = query.offset(element);
        return new Point(x - offset.left, y - offset.top);
    };
    Point.prototype.movePt = function (delta) {
        new Point(this.x + delta.deltaX, this.y + delta.deltaY);
    };
    return Point;
}());
export default Point;
//# sourceMappingURL=point.js.map