import { h, render } from "preact";
import i18next from 'i18next';
import * as XHR from 'i18next-xhr-backend';
import { Provider } from 'preact-redux';
import { getToken, setUserInfo } from "./API";
import App from "./sign/add-fields";
import store from "./store/store";
require('es6-object-assign').polyfill();
require('es6-promise').polyfill();
require('array.prototype.findindex').shim();
var root;
function init() {
    var accessToken = getToken();
    setUserInfo(accessToken);
    root = render(h(Provider, { store: store },
        h(App, null),
        ","), document.body, root);
}
var option = {
    'lng': 'en-US',
    'load': 'currentOnly',
    'useCookie': false,
    'fallbackLng': "en-US",
    'backend': {
        "loadPath": './language/{{lng}}.json'
    }
};
i18next.use(XHR).init(option, function (t) {
    init();
});
//# sourceMappingURL=add-fields.js.map