var __assign = (this && this.__assign) || Object.assign || function(t) {
    for (var s, i = 1, n = arguments.length; i < n; i++) {
        s = arguments[i];
        for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
            t[p] = s[p];
    }
    return t;
};
import { h } from "preact";
import { connect } from "preact-redux";
import RecipientSelector from "../components/sign/RecipientSelector";
import { setSelectedRecipient } from "./actions";
var mapStateToProps = function (state, ownProps) {
    return {
        recipients: state.sign.recipients,
        selectedRecipient: state.sign.selectedRecipient || state.sign.recipients[0]
    };
};
export default connect(mapStateToProps, { setSelectedRecipient: setSelectedRecipient })(function (props) { return h(RecipientSelector, __assign({}, props)); });
//# sourceMappingURL=RecipientSelector.js.map