import { SET_DOCVIEW_SIZE, SET_ZOOM, SET_PAGE_INDEX } from '../actions/const';
import { createReducer } from "redux-action-tools";
var reducer = createReducer()
    .when(SET_DOCVIEW_SIZE, function (state, action) {
    return Object.assign({}, state, {
        docViewHeight: action.size.height,
        docViewWidth: action.size.width
    });
})
    .when(SET_ZOOM, function (state, action) {
    return Object.assign({}, state, { zoom: action.zoom });
})
    .when(SET_PAGE_INDEX, function (state, action) {
    return Object.assign({}, state, { pageIndex: action.pageIndex });
})
    .build({});
export default reducer;
//# sourceMappingURL=base.js.map