import { combineReducers } from 'redux';
import baseReducer from "./base";
export default function createReducer(plugins) {
    var reducers = {
        base: baseReducer,
        options: function (state, action) { return state || {}; }
    };
    plugins.forEach(function (plugin) {
        reducers[plugin.name] = plugin.reducer;
    });
    return combineReducers(reducers);
}
//# sourceMappingURL=index.js.map