// import { createSelector } from 'reselect'
export var getPageCount = function (state) { return getManifestInfo(state).PageCount; };
export var getCurZooom = function (state) { return state.base.zoom; };
export var getPageIndex = function (state) { return state.base.pageIndex; };
export var getDocViewWidth = function (state) { return state.base.docViewWidth; };
export var getDocViewHeight = function (state) { return state.base.docViewHeight; };
export function getManifestInfo(state) {
    if (!state.options.manifestInfo) {
        throw "manifestInfo invalidate";
    }
    return state.options.manifestInfo;
}
export function getUserInfo(state) {
    if (!state.options.userInfo) {
        throw "userInfo invalidate";
    }
    return state.options.userInfo;
}
export function getDocId(state) {
    if (!state.options.docId) {
        throw "docId invalidate";
    }
    return state.options.docId;
}
export function getServerUrl(state) {
    if (!state.options.serverUrl) {
        throw "serverUrl invalidate";
    }
    return state.options.serverUrl;
}
export function getAutoParse(state) {
    return state.options.autoParse;
}
export function getImageWithAnnot(state) {
    return state.options.imageWithAnnot;
}
export function getImageWithForm(state) {
    return state.options.imageWithForm;
}
//# sourceMappingURL=selectors.js.map