import { createStore, applyMiddleware, compose } from 'redux';
import thunkMiddleware from 'redux-thunk';
import createReducer from './reducers';
export default function (options, plugins) {
    var initState = {
        base: {
            zoom: 1,
            docViewWidth: 100,
            docViewHeight: 100,
            pageIndex: 0,
        },
        options: Object.assign({ autoParse: true, imageWithAnnot: true, imageWithForm: true }, options)
    };
    var middleware = applyMiddleware(thunkMiddleware);
    return compose(middleware)(createStore)(createReducer(plugins), initState);
}
//# sourceMappingURL=store.js.map